Bug 33676 - error compiling with gutils (atexit)
Summary: error compiling with gutils (atexit)
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: control-center   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-28 20:25 UTC by Denis Bergeron
Modified: 2013-04-02 04:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-28 20:29:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Denis Bergeron 2001-03-28 20:25:28 UTC
I fond a problem on wolferin after upgrading for the last (gnome) library.
I not able to compile xscreensaver 3.29. I have no problem to compile the
same package on another installation on redhat 6.2.

log of the error :
gcc -Wall -Wstrict-prototypes -Wnested-externs -Wno-format -std=c89
-U__STRICT_ANSI__ -L/usr/X11R6//lib -o xscreensaver-demo-Gtk prefs.o dpms.o
remote.o ../utils/resources.o ../utils/usleep.o ../utils/visual.o
demo-Gtk.o demo-Gtk-widgets.o  -L/usr/X11R6/lib \
-lXmu  -rdynamic -L/usr/lib -L/usr/X11R6/lib -lcapplet -lORBitCosNaming
-lORBit -lIIOP -lORBitutil -lnsl -lgnorba -lgnomeui -lart_lgpl -lgdk_imlib
-lSM -lICE -lgtk -lgdk -lgmodule -lXext -lX11 -lgnome -lgnomesupport -lesd
-laudiofile -lm -ldb1 -lglib -ldl -lSM -lICE -lXt -lX11  -lXext \

/usr/lib/libglib.a(gutils.o): In function `g_atexit':
gutils.o(.text+0x9e): undefined reference to `atexit'
collect2: ld returned 1 exit status
make[1]: *** [xscreensaver-demo-Gtk] Erreur 1
make[1]: Quitte le ripertoire `/root/xscreensaver-3.29/driver'
make: *** [default] Erreur 5

Comment 1 Preston Brown 2001-03-28 21:37:19 UTC
you need to make sure you have all the latest gnome, gtk, glib.  It works fine 
here.



Note You need to log in before you can comment on or make changes to this bug.